modal.css 1.0 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859
  1. .modal-mask {
  2. position: fixed;
  3. z-index: 9998;
  4. top: 0;
  5. left: 0;
  6. width: 100%;
  7. height: 100%;
  8. background-color: rgba(0, 0, 0, .5);
  9. display: table;
  10. transition: opacity .3s ease;
  11. }
  12. .modal-wrapper {
  13. display: table-cell;
  14. vertical-align: middle;
  15. }
  16. .modal-container {
  17. width: 300px;
  18. margin: 0px auto;
  19. padding: 20px 30px;
  20. background-color: #fff;
  21. border-radius: 2px;
  22. box-shadow: 0 2px 8px rgba(0, 0, 0, .33);
  23. transition: all .3s ease;
  24. font-family: Helvetica, Arial, sans-serif;
  25. }
  26. .modal-header h3 {
  27. margin-top: 0;
  28. color: #42b983;
  29. }
  30. .modal-body {
  31. margin: 20px 0;
  32. }
  33. .modal-default-button {
  34. float: right;
  35. }
  36. /*
  37. * the following styles are auto-applied to elements with
  38. * transition="modal" when their visibility is toggled
  39. * by Vue.js.
  40. *
  41. * You can easily play with the modal transition by editing
  42. * these styles.
  43. */
  44. .modal-enter, .modal-leave {
  45. opacity: 0;
  46. }
  47. .modal-enter .modal-container,
  48. .modal-leave .modal-container {
  49. -webkit-transform: scale(1.1);
  50. transform: scale(1.1);
  51. }